

class place {
	String name;
	boolean switch_allowed;
	float x,y;
}


class conduit {
	String name;
	place l, r;
	float length;
	float install_cost;
}



class placeset {
	String name;  // e.g., "Engineering School", "Computer Science"
	set of places and/or placesets.
}

class physical_graph {
	set of places
	set of conduits
	set of placesets
}


class set_pair_constraint {
	placeset a, b;
	float limit;
}



class traffic_requirements {
	set of set_pair_constraints
}











